package com.yuexiu.secp.read.model.service;


import com.alibaba.fastjson.JSONObject;


import com.sie.iot.base.bean.RedisMessageContentBean;
import com.sie.iot.common.bean.OrderByBean;
import com.sie.iot.common.model.inter.IBaseCommon;


import com.sie.iot.distribute.transation.annotation.DistrTransMessageParam;
import com.siefw.hibernate.core.paging.Pagination;
import com.yuexiu.secp.read.model.entities.AdvertEntity;
import com.yuexiu.secp.read.model.entities.readonly.AdvertEntityRo;
import com.yuexiu.secp.read.model.service.impl.AdvertServer;

public interface IAdvertServer extends IBaseCommon<AdvertEntity> {

    /**
     * 分页查询列表
     * @param jsonObject
     * @return
     */
    Pagination<AdvertEntityRo> findAdvertPagination(JSONObject jsonObject, Integer pageIndex, Integer pageRows, OrderByBean orderByBean);
    /**
     * 根据 id 查询详细
     * @param            	 *
     * @return
     */
    AdvertEntity findById(Long id);
    /**
     * 新增或者更新
     * @param testUsers
     * @return
     */
    AdvertEntity saveOrUpdateAdvertInfo(AdvertEntity testUsers);
    /**
     * 提交流程
     * @param advertEntity
     * * @param processDefinitionKey
     * @return
     */
    void doCommit(AdvertEntity advertEntity,String processDefinitionKey);
    /**
     * 流程回调方法
     * @param msgId
     * * @param processDefinitionKey
     * @return
     */
    void updateAdvertState(@DistrTransMessageParam Long msgId, RedisMessageContentBean redisMessageContentBean);
}
